GDB (xrefs)

Public Member Functions | List of all members
decimal_float_ops Class Reference
Inheritance diagram for decimal_float_ops:

## Public Member Functions
std::string | to_string (const gdb_byte *addr, const struct type *type, const char *format) const override
bool | from_string (gdb_byte *addr, const struct type *type, const std::string &string) const override
LONGEST | to_longest (const gdb_byte *addr, const struct type *type) const override
void | from_longest (gdb_byte *addr, const struct type *type, LONGEST val) const override
void | from_ulongest (gdb_byte *addr, const struct type *type, ULONGEST val) const override
double | to_host_double (const gdb_byte *addr, const struct type *type) const override
void | from_host_double (gdb_byte *addr, const struct type *type, double val) const override
void | convert (const gdb_byte *from, const struct type *from_type, gdb_byte *to, const struct type *to_type) const override
void | binop (enum exp_opcode opcode, const gdb_byte *x, const struct type *type_x, const gdb_byte *y, const struct type *type_y, gdb_byte *res, const struct type *type_res) const override
int | compare (const gdb_byte *x, const struct type *type_x, const gdb_byte *y, const struct type *type_y) const override

## Detailed Description

Definition at line 1868 of file target-float.c.

## Member Function Documentation

## ◆ binop()

void decimal_float_ops::binop | ( | enum exp_opcode | opcode,
|  | const gdb_byte * | x,
|  | const struct type * | type_x,
|  | const gdb_byte * | y,
|  | const struct type * | type_y,
|  | gdb_byte * | res,
|  | const struct type * | type_res
| ) |  | const
| override virtual

Implements target_float_ops.

Definition at line 2036 of file target-float.c.

References _, decimal_check_errors(), decimal_from_number(), decimal_to_number(), error(), and set_decnumber_context().

## ◆ compare()

int decimal_float_ops::compare | ( | const gdb_byte * | x,
|  | const struct type * | type_x,
|  | const gdb_byte * | y,
|  | const struct type * | type_y
| ) |  | const
| override virtual

Implements target_float_ops.

Definition at line 2081 of file target-float.c.

References _, decimal_check_errors(), decimal_to_number(), error(), set_decnumber_context(), and TYPE_LENGTH.

## ◆ convert()

void decimal_float_ops::convert | ( | const gdb_byte * | from,
|  | const struct type * | from_type,
|  | gdb_byte * | to,
|  | const struct type * | to_type
| ) |  | const
| override virtual

Implements target_float_ops.

Definition at line 2113 of file target-float.c.

References decimal_from_number(), and decimal_to_number().

## ◆ from_host_double()

void decimal_float_ops::from_host_double | ( | gdb_byte * | addr,
|  | const struct type * | type,
|  | double | val
| ) |  | const
| inline override virtual

Implements target_float_ops.

Definition at line 1889 of file target-float.c.

References gdb_assert_not_reached.

## ◆ from_longest()

void decimal_float_ops::from_longest | ( | gdb_byte * | addr,
|  | const struct type * | type,
|  | LONGEST | val
| ) |  | const
| override virtual

Implements target_float_ops.

Definition at line 1989 of file target-float.c.

References _, decimal_from_number(), and error().

## ◆ from_string()

bool decimal_float_ops::from_string | ( | gdb_byte * | addr,
|  | const struct type * | type,
|  | const std::string & | string
| ) |  | const
| override virtual

Implements target_float_ops.

Definition at line 1955 of file target-float.c.

References _, decimal_check_errors(), error(), match_endianness(), set_decnumber_context(), and TYPE_LENGTH.

## ◆ from_ulongest()

void decimal_float_ops::from_ulongest | ( | gdb_byte * | addr,
|  | const struct type * | type,
|  | ULONGEST | val
| ) |  | const
| override virtual

Implements target_float_ops.

Definition at line 2006 of file target-float.c.

References _, decimal_from_number(), and error().

## ◆ to_host_double()

double decimal_float_ops::to_host_double | ( | const gdb_byte * | addr,
|  | const struct type * | type
| ) |  | const
| inline override virtual

Implements target_float_ops.

Definition at line 1882 of file target-float.c.

References gdb_assert_not_reached.

## ◆ to_longest()

LONGEST decimal_float_ops::to_longest | ( | const gdb_byte * | addr,
|  | const struct type * | type
| ) |  | const
| override virtual

Implements target_float_ops.

Definition at line 2023 of file target-float.c.

References string, and to_string().

## ◆ to_string()

std::string decimal_float_ops::to_string | ( | const gdb_byte * | addr,
|  | const struct type * | type,
|  | const char * | format = `nullptr`
| ) |  | const
| override virtual

Implements target_float_ops.

Definition at line 1911 of file target-float.c.

References _, error(), match_endianness(), MAX_DECIMAL_STRING, string, string_printf(), and TYPE_LENGTH.

Referenced by to_longest().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/target-float.c